Method: partners.tickets.patch

Updates a Support Ticket.

HTTP request

PATCH https://partneroperations.googleapis.com/v1/{ticket.name=partners/*/tickets/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
ticket.name

string

Identifier. ID of the ticket. Format: partners/{partner}/tickets/{ticket}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to be updated. Fields are specified relative to the ticket (e.g. priority; not ticket.priority).

Currently, only priority and state are updatable. All other fields are immutable. If a request includes a valid field in the update mask, but that field is immutable, the service will fail the request with an INVALID_ARGUMENT error.

The special value * means full replacement. If * is specified or if the updateMask is omitted entirely, the service will check if any immutable fields are being modified and will fail the request with an INVALID_ARGUMENT error if so.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Ticket.

Response body

If successful, the response body contains an instance of Ticket.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/partner-operations